Loading...
Searching...
No Matches
gridfire::solver::GridSolver Class Referencefinal

`#include <GridSolver.h>`

Inheritance diagram for gridfire::solver::GridSolver:
[legend]
Collaboration diagram for gridfire::solver::GridSolver:
[legend]

## Public Member Functions

| GridSolver (const engine::DynamicEngine &engine, const SingleZoneDynamicNetworkSolver &solver)
| ~GridSolver () override=default
std::vector< NetOut > | evaluate (SolverContextBase &ctx, const std::vector< NetIn > &netIns) const override
Public Member Functions inherited from gridfire::solver::MultiZoneNetworkSolver< engine::DynamicEngine >
| MultiZoneNetworkSolver (const EngineT &engine, const SingleZoneNetworkSolver< EngineT > &solver)
virtual | ~MultiZoneNetworkSolver ()=default
| MultiZoneNetworkSolver (const EngineT &engine, const SingleZoneNetworkSolver< EngineT > &solver)
virtual | ~MultiZoneNetworkSolver ()=default

## Additional Inherited Members

Protected Attributes inherited from gridfire::solver::MultiZoneNetworkSolver< engine::DynamicEngine >
const EngineT & | m_engine
| The engine used by this solver strategy.
const SingleZoneNetworkSolver< EngineT > & | m_solver
const EngineT & | m_engine
| The engine used by this solver strategy.
const SingleZoneNetworkSolver< EngineT > & | m_solver

## Constructor & Destructor Documentation

## GridSolver()

gridfire::solver::GridSolver::GridSolver | ( | const engine::DynamicEngine & | engine,
|  | const SingleZoneDynamicNetworkSolver & | solver )

## ~GridSolver()

gridfire::solver::GridSolver::~GridSolver | ( |  | ) |

overridedefault

## Member Function Documentation

## evaluate()

std::vector< NetOut > gridfire::solver::GridSolver::evaluate | ( | SolverContextBase & | ctx,
|  | const std::vector< NetIn > & | netIns ) const

overridevirtual

Implements gridfire::solver::MultiZoneNetworkSolver< engine::DynamicEngine >.

The documentation for this class was generated from the following files:

- src/include/gridfire/solver/strategies/GridSolver.h
- src/lib/solver/strategies/GridSolver.cpp